using Microsoft.AspNetCore.Components;
using System;
using System.ComponentModel.DataAnnotations;
using System.Threading.Tasks;
using WK5.Core;
using WK5.Core.Basis.Filter;
using WK5.Core.Drucken.Erstkundenbrief;
using WK5.Core.Models;

namespace WK5_Blazor.Pages
{
    public partial class Index
    {

#nullable disable
        [CascadingParameter] public AppMitarbeiter Mitarbeiter { get; set; }
#nullable enable
        [MaxLength(20)]
        public string Suchbegriff { get; set; } = String.Empty;

        private WK5.Core.Models.Inventuren.Inventur? _inventur;

  
        protected override async Task OnInitializedAsync()
        {
            await SetAlerts();
            _inventur = await inventurService.InventurVerfügbar();
        }


    }
}
